tdiary (4.2.0-1) experimental; urgency=medium

  [ Youhei SASAKI ]
  * Add me to Uploaders
  * Imported Upstream version 4.2.0
  * Add d/source/lintian-overrides
    - Override too long line warning
  * Bump Standard Version: 3.9.6
  * Bump Compat Level: 9
  * Update debian/watch: use github as upstream
  * Update debian/rules, etc: Follow upstream changes
  * Update Depends
    - Drop vendor/hikidoc: use package, ruby-hikidoc
    - Add metapackage: tdiary, update README, NEWS
  * Fix broken links: README -> README.md
  * Create symbolic link:{theme,js}
  * Rename 20theme_url -> 20change_url, add js_url
  * Refresh patches
  * Add patches
    - require 'rack' for CGI mode
    - Replace git execution from gemspec
    - Add shebang into server.rake
    - drop gemoji depndencies
  * Cleanup old stuff
  * Change document install location

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 27 Nov 2015 01:44:33 +0900

tdiary (3.2.2-6) unstable; urgency=medium

  * fix debian/watch 

 -- Hideki Yamane <henrich@debian.org>  Wed, 25 Nov 2015 13:00:21 +0900

tdiary (3.2.2-5) unstable; urgency=medium

  * Team upload.
  * Replace imagesize with fastimage in Depends: as well, I forgot
    to do this in the last upload.

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 25 Aug 2015 09:43:17 +0000

tdiary (3.2.2-4) unstable; urgency=medium

  * Team upload.
  * Port to ruby-fastimage, replacing ruby-imagesize
  * Bump Standards-Version to 3.9.6 (no addtl changes)
  * Assume TADA Tadashi is author for uncredited files

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 28 Jun 2015 01:46:56 +0200

tdiary (3.2.2-3) unstable; urgency=medium

  * Team upload.
  * Remove dependency on ruby-nora, which is ruby1.8 only.

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 13 Feb 2014 01:13:02 +0100

tdiary (3.2.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Hideki Yamane <henrich@debian.org>  Sun, 19 May 2013 16:14:01 +0900

tdiary (3.2.2-1) experimental; urgency=low

  * New upstream release
  * debian/control
    - set Standards-Version: 3.9.4
    - add myself to Uploaders
    - add "Depends: ruby-twitter-text" for GFM style
  * debian/rules,tdiary-theme.docs,tdiary.install
    - deals with upstream's change

 -- Hideki Yamane <henrich@debian.org>  Wed, 01 May 2013 00:24:24 +0900

tdiary (3.1.3-3) unstable; urgency=low

  * Add rsync to build-deps, merge missing 3.1.3-1.1 fix.

 -- Taku YASUI <tach@debian.org>  Mon, 18 Jun 2012 02:19:48 +0900

tdiary (3.1.3-2) unstable; urgency=low

  * debian/control: Add ruby-redcarpet to Depends. (closes: #673375)
  * debian/tdiary.install: Add usr/share/tdiary/plugin (closes: #673559)
  * Remove installing tb plugin from tdiary-setup command (closes: #673603)

 -- Taku YASUI <tach@debian.org>  Mon, 18 Jun 2012 01:33:25 +0900

tdiary (3.1.3-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix FTBFS by adding rsync to build dependencies, thanks to
    Hideki Yamane for the report and the patch (Closes: #673560).

 -- Cyril Brulebois <kibi@debian.org>  Sun, 27 May 2012 23:46:04 +0200

tdiary (3.1.3-1) unstable; urgency=low

  * New upstream release
  * Remove tdiary-contrib and tdiary-mode binary package due to source package
    separation.
  * Add httpd and httpd-cgi for Suggests and Recommentds.
  * Remove tb-debian.rb because upstream tb.rb has been removed.

 -- Taku YASUI <tach@debian.org>  Sun, 06 May 2012 18:28:41 +0900

tdiary (3.0.1-3) unstable; urgency=low

  * Commit debian source to git.debian.org.
    - git://git.debian.org/pkg-ruby-extras/tdiary.git
    - Add Vcs metadata to debian/control.
  * Use debian-pkg-add-load-path-item at tdiary-mode (closes: #664814)
  * Change tdiary-mode long description (closes: #477138)
  * Fix tdiary-mode error when tdiary-mode is removed (closes: #670354)

 -- Taku YASUI <tach@debian.org>  Fri, 04 May 2012 21:46:23 +0900

tdiary (3.0.1-2) unstable; urgency=low

  * Change maintainer to Debian Ruby Extras Maintainers for collective
    management.
    - Former maintainer Daigo Moriwaki is moved to uploaders.
  * Add Taku YASUI <tach@debian.org> to the uploaders.
  * Apply patch by jari.aalto@cante.net (closes: #670801)
    - Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
    - Update to Standards-Version to 3.9.3 and debhelper to 8.
    - Add build-arch and build-indep targets; use dh_prep in rules file.
    - Fix no-debian-copyright (Lintian).
    - Fix extra-license-file license.txt (Lintian).
    - Fix description-synopsis-starts-with-article (Lintian).
    - Fix copyright-refers-to-symlink-license (Lintian).
  * Change debian/copyright format to DEP-5

 -- Taku YASUI <tach@debian.org>  Fri, 04 May 2012 20:36:54 +0900

tdiary (3.0.1-1) unstable; urgency=low

  * New upstream release (Closes: #542801, #594947)
  * debian/control:
   - Bumped up Standards-Version to 3.9.1.
   - Updated version dependency.
  * debian/tdiary-setup.rb: Followed the upstream changes, incorporating js and
    index.fcgi

 -- Daigo Moriwaki <daigo@debian.org>  Mon, 11 Apr 2011 21:53:16 +0900

tdiary (2.2.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bumped up Standards-Version to 3.8.3.
  * Removed and merged into debian/rules
    - debian/packaging-tools-theme.rb
    - debian/tdiary-theme.files

 -- Daigo Moriwaki <daigo@debian.org>  Mon, 08 Mar 2010 23:23:27 +0900

tdiary (2.2.1-1) unstable; urgency=low

  * New upstream release
  * debian/tdiary-mode.emacsen-startup: Recognized filenames correctly.
    (Closes: #446182)
  * tdiary-theme do no more put files under /var/www
    - debian/rules
    - debian/tdiary-theme.README.Debian
    - debian/tdiary-theme.files
    - debian/NEWS
    - debian/tdiary.links
    - debian/dirs

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 17 May 2008 17:51:32 +0900

tdiary (2.2.0-2) unstable; urgency=low

  * debian/watch: Bumped up the version to check. (Closes: #460002)
  * debian/control: 
    - Bumped up the Standards-Version to 3.7.3.
    - Use a new Homepage dpkg header.
  * debian/rules: Corrected permissions of some files.

 -- Daigo Moriwaki <daigo@debian.org>  Thu, 10 Jan 2008 22:10:27 +0900

tdiary (2.2.0-1) unstable; urgency=low

  * New upstream release (Closes: #457142).
  * debian/control: improved recommends/suggests. tdiary, tdiary-plugin and
    tdiary-theme should be of the same version. Bumped up the dependency 
    version to 2.2.

 -- Daigo Moriwaki <daigo@debian.org>  Thu, 20 Dec 2007 12:35:58 +0900

tdiary (2.1.4+20070801-1) experimental; urgency=low

  * New upstream CVS snapshot.
  * debian/control: tdiary-mode now depends on emacs instead of emacs21 in
    order to respect emacs22 (Closes: #433981).

 -- Daigo Moriwaki <daigo@debian.org>  Wed, 01 Aug 2007 23:35:06 +0900

tdiary (2.1.4-6) experimental; urgency=high

  * An Vulnerability reported by the upstream has been fixed using a patch
    from them. (Closes: #403345)

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 16 Dec 2006 23:30:44 +0900

tdiary (2.1.4-5) experimental; urgency=high

  * The patch in 2.1.4-4 was not complete. Administraters' page for mobile
    phones still had the vulnerability. This issue has been fixed.

 -- Daigo Moriwaki <daigo@debian.org>  Wed, 29 Nov 2006 21:42:45 +0900

tdiary (2.1.4-4) experimental; urgency=high

  * Add a patch to fix a Cross Site Scripting (XSS) vulnerability.
    (closes: #400447)

 -- Daigo Moriwaki <daigo@debian.org>  Mon, 27 Nov 2006 21:00:52 +0900

tdiary (2.1.4-3) experimental; urgency=low

  * Move build-depends-indep to build-depends-indep again as per policy
    section 7.6. 

 -- Daigo Moriwaki <daigo@debian.org>  Mon,  5 Jun 2006 23:31:27 +0900

tdiary (2.1.4-2) experimental; urgency=low

  * debian/watch: correct to see 2.1.x.
  * debian/control: 
    - upgrade standard version to the current one, 3.7.2.
    - split build-depends-indep to build-depends-indep and build-depends to
    confirm the debian policy.

 -- Daigo Moriwaki <daigo@debian.org>  Mon,  5 Jun 2006 22:55:00 +0900

tdiary (2.1.4-1) experimental; urgency=low

  * New upstream release

 -- Daigo Moriwaki <daigo@debian.org>  Wed,  3 May 2006 18:31:38 +0900

tdiary (2.1.3-1) experimental; urgency=low

  * New upstream release of developing versions.
  * debian/tdiary.copyright: Add copyrights of new files.
  * debian/tdiary-plugin.copyright: Add copyrights of new files.
  * debian/tdiary-theme.copyright: Add copyrights of new files.
  * packaging-tools-theme.rb: Add theme/conf.* files.
  * rules, control: Adopt dpatch system.

 -- Daigo Moriwaki <daigo@debian.org>  Sun,  5 Mar 2006 00:02:44 +0900

tdiary (2.0.2+20060303-1) unstable; urgency=low

  * New upstream snapshot.
  * debian/control: Change my email address and remove a uploader because I am
    now an official Debian Developer.
  * debian/tdiary-contrib.copyright: Include plugin/google/google_analytics.
  * debian/tdiary-setup.rb: Change a shebang to directly load /usr/bin/ruby.
    (closes: #344988)

 -- Daigo Moriwaki <daigo@debian.org>  Sat,  4 Mar 2006 00:58:33 +0900

tdiary (2.0.2+20051022-1) unstable; urgency=low

  * New upstream snapshot.
  * Rename debian/theme_url.rb to debian/20theme_url.rb. Then, it will be
    loaded before 50sp.rb and allow users to override a path for theme using
    a plugin that is called by 50sp.rb. (Thanks to Taku Yasui)
  * Following themes, which now contain license terms, are included in tdiary-theme 
    package again: 
    - theme/blue-border
    - theme/nande-ya-nen
  * Following plugins, which now contain license terms and copyrights, are included 
    in tdiary-plugin package again:
    - misc/plugin/amazon
    - misc/plugin/bq
    - misc/plugin/comment_rank
    - misc/plugin/doctype-html401tr
    - misc/plugin/dropdown_calendar
    - misc/plugin/gradation 
    - misc/plugin/gradient
    - misc/plugin/highlight 
    - misc/plugin/makelirs
    - misc/plugin/recent_comment
    - misc/plugin/src
    - misc/plugin/title_list
  * misc/plugin/title_tag: included in tdiary-plugin package again, which now 
    contains a valid license.
  * contrib/style/hatena: included in tdiary-plugin package again, which now 
    contains a valid license.
  * Following plugins and utilities, which now contain license terms and copyrights,
    are included in tdiary-contrib package again:
    - contrib/plugin/antirefspam
    - contrib/plugin/google_adsense.rb
    - contrib/plugin/select_theme
    - contrib/util/clean-spam
    - contrib/util/rast-search

 -- Daigo Moriwaki <beatles@sgtpepper.net>  Sat, 22 Oct 2005 15:23:32 +0900

tdiary (2.0.2+20050720-1) unstable; urgency=low

  * theme/blue-border: removed from `tdiary-theme' package because of lack of 
    license.
  * theme/nande-ya-nen: removed from `tdiary-theme' because of GNU Free 
    Documentation License.
  * Following plugins are removed from `tdiary-plugin' package because of lack 
    of license:
    - misc/plugin/amazon
    - misc/plugin/bq
    - misc/plugin/comment_rank
    - misc/plugin/gradation 
    - misc/plugin/gradient
    - misc/plugin/makelirs
    - misc/plugin/recent_comment
  * Following plugins are removed from `tdiary-plugin' package because of lack
    of license and copyright:
    - misc/plugin/doctype-html401tr
    - misc/plugin/dropdown_calendar
    - misc/plugin/highlight 
    - misc/plugin/referer-utf8 (this is also deprecated)
    - misc/plugin/src
    - misc/plugin/title_list
  * misc/plugin/title_tag: removed from `tdiary-plugin' package because of license
    violation. The license should be GPL because it depends on tdiary under GPL 
    version 2.
  * Move misc/style directory from `tdiary' package to `tdiary-plugin' package.  
  * Followings are removed from `tdiary-contrib' package:
    - because of lack of English license
      + contrib/plugin/antirefspam
    - because of lack of license 
      + contrib/plugin/google_adsense.rb
    - because of lack of license and copyright
      + contrib/plugin/select_theme
      + contrib/util/clean-spam
      + contrib/util/rast-search
    - because of license violation. The license should be GPL because it depends
      on tdiary under GPL version 2.  
      + contrib/style/hatena
  * debian/NEWS.Debian: added.

 -- Daigo Moriwaki <beatles@sgtpepper.net>  Sun, 24 Jul 2005 11:32:20 +0900

tdiary (2.0.2-1) unstable; urgency=high

  * New upstream release
  * (urgency high) A 'Cross-Site Request Forgeries (CSRF)' vulnerability has
    been fixed (closes: #319315).
  * debian/rule: add lines to fix permissions.
  * debian/control: update Standards-Version to follow the latest The Debian
    Policy.

 -- Daigo Moriwaki <beatles@sgtpepper.net>  Thu, 21 Jul 2005 22:44:53 +0900

tdiary (2.0.1-4) unstable; urgency=low

  * debian/tdiary-theme.copyright: rewrite.
  * debian/watch: rewrite to follow stable releases

 -- Daigo Moriwaki <beatles@sgtpepper.net>  Sat, 11 Jun 2005 18:31:43 +0900

tdiary (2.0.1-3) unstable; urgency=low

  * debian/rules: refactor.
  * debian/control: rewrite descriptions.
  * debian/copyright: remove.
  * debian/*.copyright: add for each binary packages: tdiary-plugin,
    tdiary-theme, tdiary-mode and tdiary-contrib.

 -- Daigo Moriwaki <beatles@sgtpepper.net>  Sun, 22 May 2005 22:18:11 +0900

tdiary (2.0.1-2) unstable; urgency=low

  * Refactor debian/rules.

 -- Daigo Moriwaki <beatles@sgtpepper.net>  Wed, 20 Apr 2005 21:24:18 +0900

tdiary (2.0.1-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Modify dependencies to follow the change of ruby1.8 (1.8.2-3).
    - tdiary-contrib depends on `curl' (closes: #261466).
  * debian/*.README.Debian: Rewrite.
  * debian/tdiary-setup.rb: Support the Traditional-Chinese (ZH) mode.
  * Change the license of man pages from GFDL to GPLv2.
  * Patches from Kazuhiro NISHIYAMA
    - `base.css' is included in not tdiary-theme package but tdiary package.
    - debug tdiary-setup.rb

 -- Daigo Moriwaki <beatles@sgtpepper.net>  Wed, 13 Apr 2005 22:10:07 +0900

tdiary (2.0.0-1) unstable; urgency=low

  * New upstream release (Closes: #250961)
  * Rebuild tdiary-set script (Closes: #235257, #255740)
    - support trackback installation
    - support RSS installation
  * Add a new sub-package named tdiary-contrib.

 -- Daigo Moriwaki <beatles@sgtpepper.net>  Sat, 17 Jul 2004 11:25:50 +0900

tdiary (1.5.6-2) unstable; urgency=low

  * Add a new sub-package, tdiary-mode. Closes: #224724.
    Thanks to Hidetaka Iwai for sending a useful patch.

 -- Daigo Moriwaki <beatles@sgtpepper.net>  Thu, 01 Jan 2004 00:29:26 +0900

tdiary (1.5.6-1) unstable; urgency=low

  * New upstream release
  * A security hole announced at 19 Nov has been fixed.

 -- Daigo Moriwaki <beatles@sgtpepper.net>  Sat, 13 Dec 2003 12:57:12 +0900

tdiary (1.5.5-2) unstable; urgency=low

  * Downgrade, or escape CVS version, to fit Debian package policy.
  * Closes: #214220, which is same as #212760 below.
	
 -- Daigo Moriwaki <beatles@sgtpepper.net>  Fri, 10 Oct 2003 22:29:10 +0900

tdiary (1.5.5+20030914-1) unstable; urgency=low

  * CVS upstream
  * Use Ruby 1.8 and its libraries (closes: #212760).
  * Modify English plugin(00lang.en.rb) and add it into default plugins.
	
 -- Daigo Moriwaki <beatles@sgtpepper.net>  Sun, 14 Sep 2003 22:04:09 +0900

tdiary (1.5.5-1) unstable; urgency=low

  * New upstream release

 -- Daigo Moriwaki <beatles@sgtpepper.net>  Mon, 11 Aug 2003 17:51:30 +0900

tdiary (1.5.4-1) unstable; urgency=low

  * New upstream release

 -- Daigo Moriwaki <beatles@sgtpepper.net>  Sat, 17 May 2003 00:13:59 +0900

tdiary (1.5.3-5) unstable; urgency=low

  * Remove some default plugins, with which tDiary doesn't work well.

 -- Daigo Moriwaki <beatles@sgtpepper.net>  Fri, 16 May 2003 22:56:41 +0900

tdiary (1.5.3-4) unstable; urgency=low

  * merge source files. 

 -- Takashi Okamoto <tora@debian.org>  Sun, 11 May 2003 06:01:44 +0900

tdiary (1.5.3-3) unstable; urgency=low

  * Make a symbolic link of the theme directory so that you can choose
    theme CSSs from a drop-down list in a config page.

 -- Daigo Moriwaki <beatles@sgtpepper.net>  Tue,  8 Apr 2003 10:10:58 +0900

tdiary (1.5.3-2) unstable; urgency=low

  * Debug tdiary-setup.sh that produced .htaccess with 'Option ++'. 

 -- Daigo Moriwaki <beatles@sgtpepper.net>  Mon, 24 Mar 2003 10:17:17 +0900

tdiary (1.5.3-1) unstable; urgency=low

  * New upstream release.
  * All the architectures are available.

 -- Daigo Moriwaki <beatles@sgtpepper.net>  Fri, 21 Mar 2003 15:47:47 +0900

tdiary (1.5.2-3) unstable; urgency=low

  * Works well with suEXEC mode of httpd.

 -- Daigo Moriwaki <beatles@sgtpepper.net>  Sun,  9 Mar 2003 16:01:19 +0900

tdiary (1.5.2-2) unstable; urgency=low

  * Separate plugins into new tdiary-plugin package.
  * Add tdiary-setup.sh script to setup tdiary environment for each user.
  * Use the erb package in Debian instead of one in the upstream.

 -- Daigo Moriwaki <beatles@sgtpepper.net>  Thu, 16 Jan 2003 00:06:18 +0900

tdiary (1.5.2-1) unstable; urgency=low

  * New upstream release.

 -- Daigo Moriwaki <beatles@sgtpepper.net>  Sat, 28 Dec 2002 20:11:12 +0900

tdiary (1.5.1-1) unstable; urgency=low

  * Initial Release.

 -- Daigo Moriwaki <beatles@sgtpepper.net>  Sun, 22 Dec 2002 22:30:18 +0900

